package com.as.login.service.impl;

import com.as.common.exception.base.BaseException;
import com.as.login.service.UserLoginService;
import com.as.user.dao.UserData;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @version 1.0
 * @author： lyu
 * @date： 2024-03-08 22:10
 */
@Service
public class UserLoginServiceImpl implements UserLoginService {
    /***
     * @description:
     * @param: username
    password
     * @return: void
     * @author: Lyu
     * @date: 2024/3/8 22:06
     */

    @Override
    public List<UserData> login(String username, String password) {
        // 对比用户名和密码
        if (!"admin".equals(username) || !"password".equals(password)) {
            // 用户名或密码错误，抛出异常
            throw new BaseException("LOGIN_FAILED", "无效的账户名或密码");
        }
        // 登录成功的逻辑
        System.out.println("Login successful");
        return null;
    }
}
